import React, { useState } from 'react';
import ShipmentPanel from '../components/ShipmentPanel';
import { Shipment } from '../types';

const ShipmentView: React.FC = () => {
    //const [isCreatingShipment, setIsCreatingShipment] = useState(false);
    //const [newShipment, setNewShipment] = useState<Shipment>({
    //    shipment_id: '',
    //    shipment_name: '',
    //    shipment_status: '',
    //    number_of_dewars: 0,
    //    shipment_date: '',
    //    contact_person: null,
    //    dewars: [],
    //    return_address: [],
    //    proposal_number: undefined,
    //    comments: '',
    //});

    const selectShipment = (shipment: Shipment | null) => {
        console.log('Selected Shipment:', shipment);
        // Additional logic for selected shipment
    };

    return (
        <div style={{ display: 'flex', padding: '16px' }}>
            {/* Shipment Panel on the left side */}
            <ShipmentPanel
                selectedPage="shipments"
                //setIsCreatingShipment={setIsCreatingShipment}
                //newShipment={newShipment}
               //setNewShipment={setNewShipment}
                selectShipment={selectShipment}
                sx={{ width: '300px' }} // Adjust width as needed
            />
            {/* Additional content can go here */}
            <div style={{ marginLeft: '16px', flexGrow: 1 }}>
                {/* Other components or information related to selected shipment can go here */}
            </div>
        </div>
    );
};

export default ShipmentView;